﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Agilent Infiniium Channel Selection VISA
DATE:                  2011-02-09 15:57:39
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       62
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent Infiniium series oscilloscopes
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  This procedure is a derivative of the procedure, "Sub Agilent Infiniium
#  Channel Selection" updated for use with named variables (v7.2 MET/CAL).
#
#  Variables Used:
#   @Chan    Desired channel selection
#
#  Example (from calling procedure):
# 1.001  MATH         @Chan = 1
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Specify channel being tested.
  1.001  IF           @Chan == 1
  1.002  VISA         CHAN1:DISP ON;:CHAN2:DISP OFF
  1.003  VISA         CHAN3:DISP OFF;:CHAN4:DISP OFF
  1.004  ELSEIF       @Chan == 2
  1.005  VISA         CHAN1:DISP OFF;:CHAN2:DISP ON
  1.006  VISA         CHAN3:DISP OFF;:CHAN4:DISP OFF
  1.007  ELSEIF       @Chan == 3
  1.008  VISA         CHAN1:DISP OFF;:CHAN2:DISP OFF
  1.009  VISA         CHAN3:DISP ON;:CHAN4:DISP OFF
  1.010  ELSE
  1.011  VISA         CHAN1:DISP OFF;:CHAN2:DISP OFF
  1.012  VISA         CHAN3:DISP OFF;:CHAN4:DISP ON
  1.013  ENDIF

  1.014  END
